Bug 1101597 - errata upload does not seem to be validating --updated/--issued date format
Summary: errata upload does not seem to be validating --updated/--issued date format
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: Preethi Thomas
URL:
Whiteboard:
: 972923 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-27 15:16 UTC by Preethi Thomas
Modified: 2015-02-28 22:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:08:56 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 437 0 None None None Never

Description Preethi Thomas 2014-05-27 15:16:50 UTC
Description of problem:

uploads erratum does not seem to be validating the date format


 --updated, -u       - (required) timestamp the erratum was last updated;
                        expected format "YYYY-MM-DD HH:MM:SS"
  --issued            - (required) timestamp the erratum was issued; expected
                        format "YYYY-MM-DD HH:MM:SS"


Version-Release number of selected component (if applicable):

[root@ibm-x3250m4-04 ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.18.beta.el6.noarch
[root@ibm-x3250m4-04 ~]# 
How reproducible:


Steps to Reproduce:
1. pulp-admin rpm repo uploads erratum --repo-id errata --erratum-id RHSA-2014:0001 --title Walrus1 --description Walrus --version 5.21 --release 1 --type security --status "final"  --updated "14-05-2014 10:17:38" --issued "13-05-14 10:17:52" -p walrus.csv --from "pthomas@redhat.com" -v

2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Cline 2014-12-01 17:24:52 UTC
*** Bug 972923 has been marked as a duplicate of this bug. ***

Comment 2 Brian Bouterse 2015-02-28 22:08:56 UTC
Moved to https://pulp.plan.io/issues/437


Note You need to log in before you can comment on or make changes to this bug.